using FluentValidation;

namespace Indotalent.Features.Sales.DeliveryOrder.Cqrs;

public class CreateDeliveryOrderValidator : AbstractValidator<CreateDeliveryOrderRequest>
{
    public CreateDeliveryOrderValidator()
    {
        RuleFor(x => x.DeliveryDate).NotEmpty().WithMessage("Delivery Date is required");
        RuleFor(x => x.SalesOrderId).NotEmpty().WithMessage("Sales Order reference is required");
    }
}